# Ipopt::MetadataMeasurement Class Reference

`#include <SensMetadataMeasurement.hpp>`

Inheritance diagram for Ipopt::MetadataMeasurement:
[legend]

List of all members.

## Public Member Functions
| MetadataMeasurement ()
virtual | ~MetadataMeasurement ()
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| Implementation of the initialization method that has to be overloaded by for each derived class.
virtual std::vector< Index > | GetInitialEqConstraints ()
| This function returns a std::vector holding the indices in IteratesVector of the equations that are to be "slacked" to free the initial values for sIPOPT.
virtual SmartPtr< DenseVector > | GetMeasurement (Index measurement_number)
| This function returns delta_u.
virtual void | SetSolution (Index measurement_number, SmartPtr< IteratesVector > sol)
| This function does whatever the measurement machine does with the solution of the SensAlgorithm.
virtual std::vector< Index > | GetIntegerSuffix (std::string suffix_string)
| suffix handler methods
## Private Attributes
Index | n_idx_
| Number of sens_indices.
SmartPtr< const DenseVectorSpace > | x_owner_space_
| owner space of x
SmartPtr< const DenseVectorSpace > | s_owner_space_
| owner space of s
SmartPtr< const DenseVectorSpace > | y_c_owner_space_
| owner space of y_c
SmartPtr< const DenseVectorSpace > | y_d_owner_space_
| owner space of y_d
SmartPtr< const DenseVectorSpace > | z_L_owner_space_
| owner space of z_L
SmartPtr< const DenseVectorSpace > | z_U_owner_space_
| owner space of z_U

## Detailed Description

Definition at line 18 of file SensMetadataMeasurement.hpp.

## Constructor & Destructor Documentation

Ipopt::MetadataMeasurement::MetadataMeasurement | ( |  | ) |

virtual Ipopt::MetadataMeasurement::~MetadataMeasurement | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool Ipopt::MetadataMeasurement::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[virtual]`

Implementation of the initialization method that has to be overloaded by for each derived class.

Implements Ipopt::AlgorithmStrategyObject.

virtual std::vector<Index> Ipopt::MetadataMeasurement::GetInitialEqConstraints | ( |  | ) | `[virtual]`

This function returns a std::vector holding the indices in IteratesVector of the equations that are to be "slacked" to free the initial values for sIPOPT.

This std::vector is used in the construction of the A-SchurData for the Schur Decomposition.

Implements Ipopt::Measurement.

virtual SmartPtr<DenseVector> Ipopt::MetadataMeasurement::GetMeasurement | ( | Index | measurement_number | ) | `[virtual]`

This function returns delta_u.

It should use the values of IpData().trial()->x()

Implements Ipopt::Measurement.

virtual void Ipopt::MetadataMeasurement::SetSolution | ( | Index | measurement_number,
|  | SmartPtr< IteratesVector > | sol |
| ) |  |  | `[virtual]`

This function does whatever the measurement machine does with the solution of the SensAlgorithm.

Implements Ipopt::Measurement.

virtual std::vector<Index> Ipopt::MetadataMeasurement::GetIntegerSuffix | ( | std::string | suffix_string | ) | `[virtual]`

suffix handler methods

Implements Ipopt::SuffixHandler.

## Member Data Documentation

Index Ipopt::MetadataMeasurement::n_idx_`[private]`

Number of sens_indices.

Definition at line 43 of file SensMetadataMeasurement.hpp.

SmartPtr<const DenseVectorSpace> Ipopt::MetadataMeasurement::x_owner_space_`[private]`

owner space of x

Definition at line 46 of file SensMetadataMeasurement.hpp.

SmartPtr<const DenseVectorSpace> Ipopt::MetadataMeasurement::s_owner_space_`[private]`

owner space of s

Definition at line 48 of file SensMetadataMeasurement.hpp.

SmartPtr<const DenseVectorSpace> Ipopt::MetadataMeasurement::y_c_owner_space_`[private]`

owner space of y_c

Definition at line 50 of file SensMetadataMeasurement.hpp.

SmartPtr<const DenseVectorSpace> Ipopt::MetadataMeasurement::y_d_owner_space_`[private]`

owner space of y_d

Definition at line 52 of file SensMetadataMeasurement.hpp.

SmartPtr<const DenseVectorSpace> Ipopt::MetadataMeasurement::z_L_owner_space_`[private]`

owner space of z_L

Definition at line 54 of file SensMetadataMeasurement.hpp.

SmartPtr<const DenseVectorSpace> Ipopt::MetadataMeasurement::z_U_owner_space_`[private]`

owner space of z_U

Definition at line 56 of file SensMetadataMeasurement.hpp.

The documentation for this class was generated from the following file:

- contrib/sIPOPT/src/SensMetadataMeasurement.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines